diff -ru discover-1.5/debian/changelog discover-1.5.new/debian/changelog
--- discover-1.5/debian/changelog	2003-12-30 22:21:53.000000000 +0100
+++ discover-1.5.new/debian/changelog	2003-12-30 22:17:12.000000000 +0100
@@ -11,6 +11,8 @@
   * New Czech debconf translation. Thanks Miroslav Kure; Closes: #223942
   * New Japanese debconf translation. Thanks Kenshi Muto; 
     Closes: #224596
+  * Don't "sort -u" modules. Print message if module is already loaded
+    instead; Closes: #224645
   * NMU ACK. Thanks to all invovled; Closes: #169264, #209240, #211673
     Closes: #221302, #194901, #153656, #162747, #110461, #168858
 
diff -ru discover-1.5/discover/discover.init discover-1.5.new/discover/discover.init
--- discover-1.5/discover/discover.init	2003-12-30 22:21:53.000000000 +0100
+++ discover-1.5.new/discover/discover.init	2003-12-30 19:00:24.000000000 +0100
@@ -34,7 +34,7 @@
 
 # Detect hardware:
 echo -n "Detecting hardware: " >&2
-MODULES=$(discover --module $ARGUMENTS | sort -u)
+MODULES=$(discover --module $ARGUMENTS)
 echo $MODULES >&2
 
 if [ -f /var/lib/discover/crash ]
@@ -73,6 +73,16 @@
     return 1;
 }
 
+# Determine if the module is already loaded
+is_loaded() {
+    module="$1"
+    if cut -d" " -f1 /proc/modules | grep -q "^${module}\$" ; then
+        true
+    else
+        false
+    fi
+}
+
 # Load the appropriate modules:
 for MODULE in $MODULES
 do
@@ -101,6 +111,11 @@
         continue
     fi
 
+    if is_loaded "$MODULE" ; then
+        echo "Skipping Module $MODULE. It's already loaded." >&2
+        continue
+    fi
+
     echo "Loading $MODULE module." >&2
 
     # Note the module being loaded in /var/lib/discover/crash. If loading
